
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

/* =============================================
	xvis user interface builder for Athena widgets using
	xv class library.

	Cursor Segment

	V1.0BETA  - last edited 25/06/96
    ============================================= */

// ---------------------------------------------
// Include file declarations

#include "xvis.h"
#include <string.h>
#include <stdio.h>
#include <xvisCursor.h>

// ---------------------------------------------
// local forward function declares

// --------------------------------------------
// Callbacks

void func_cursor(Widget aw, XtPointer client, XtPointer call)
{
	XawListReturnStruct *cur=(XawListReturnStruct *) call;
	if (resource_values[selected_index].r_type == XVCursor) {
		strcpy(propeditbuffer, cursornames[cur->list_index]);
		setNewResourceValue();
	}
	xvisCursors.Close();
}
 
//---------------------------------------------
// Local Stuff

// ************
// drawCursorWindow builds the cursor info window
//

void buildCursorWindow()
{

	xvisCursors.init("Cursors", xvisControl);
	xvisCursorList.init("CList", xvisCursors, func_cursor, 72, cursornames, 4);
//	xvisCursorList.SetFont(cursorfont.FontRef());
}

// ---------------------------------

		